<template>
<div id="table" class="app-container calendar-list-container">
	    <!-- 查询和其他操作 -->
	    <div class="filter-container" style="margin: 10px 0 10px 0;">
        <el-form :inline="true" label-width="68px" style="margin-bottom: 8px;">
          <el-col :span="22">
            <el-form-item label="创建日期" label-width="100px">
              <el-date-picker
                v-model="queryParams.createTime"
                class="baseInput"
                type="date"
                placeholder="请选择"
                format="yyyy-MM-dd"
                value-format="yyyy-MM-dd"
              />
            </el-form-item>
            <el-form-item label="板块名称">
              <el-input clearable class="filter-item" style="width: 200px;" v-model="queryParams.keyword" placeholder="请输入名称"></el-input>
            </el-form-item>
            <el-button class="filter-item" type="primary" icon="el-icon-search" @click="handleFind" v-permission="'/pictureSort/getList'">查找</el-button>
          </el-col>
          <el-col :span="2">
            <el-button class="filter-item" type="primary" @click="handleAdd" icon="el-icon-edit" v-permission="'/pictureSort/add'" justify="end">新建分类</el-button>
          </el-col>
        </el-form>
	    </div>

    <el-table :data="tableData" style="width:100%" class="show_table" >
      <el-table-column label="分类ID" width="100" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.uid }}</span>
        </template>
      </el-table-column>
      <el-table-column label="权重排序" width="100" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.sort }}</span>
        </template>
      </el-table-column>
	    <el-table-column label="分类版块名称" width="160" align="center">
	      <template slot-scope="scope">
	        <span>{{ scope.row.name }}</span>
	      </template>
	    </el-table-column>
	    <el-table-column label="分类介绍" width="300" align="center">
	      <template slot-scope="scope">
	        <span>{{ scope.row.introduce }}</span>
	      </template>
	    </el-table-column>
      <el-table-column label="分类图标" width="160" align="center">
        <template slot-scope="scope">
          <img  v-if="scope.row.photoList" :src="scope.row.photoList[0]" style="width: 130px;height: 70px;"/>
        </template>
      </el-table-column>
      <el-table-column label="图集分类标签" width="300" align="center" >
        <template slot-scope="scope">
          <template>
            <el-tag
              style="margin-left: 3px"
              type="warning"
              v-if="item"
              :key="index"
              v-for="(item, index) in scope.row.tagList"
            >{{item.content}}</el-tag>
          </template>
        </template>
      </el-table-column>
      <el-table-column label="所属项目" width="100" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.project.name }}</span>
          <!--<template>
            <el-tag
              style="margin-left: 3px"
              type="warning"
              v-if="item"
              :key="index"
              v-for="(item, index) in scope.row.projectList"
            >{{item.name}}</el-tag>
          </template>-->
        </template>
      </el-table-column>
      <!--<el-table-column label="使用权限" width="300" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.uerPower }}</span>
        </template>
      </el-table-column>-->
      <el-table-column label="创建时间" width="160" align="center">
        <template slot-scope="scope">
          <span >{{ scope.row.createTime }}</span>
        </template>
      </el-table-column>
      <el-table-column label="上架" width="140" align="center">
        <template slot-scope="scope">
          <span @click="handleUp(scope.row)" style="background-color:#EAFBFF;">{{ scope.row.upCount }}</span>
        </template>
      </el-table-column>
      <el-table-column label="未上架" width="140" align="center">
        <template slot-scope="scope">
          <span @click="handleOut(scope.row)" style="background-color:#EAFBFF;">{{ scope.row.outCount }}</span>
        </template>
      </el-table-column>
	   	<!--<el-table-column label="状态" width="100" align="center">
	   	  <template slot-scope="scope">
		   	  <template v-if="scope.row.status == 1">
		        <span>正常</span>
		      </template>
		      <template v-if="scope.row.status == 2">
		        <span>推荐</span>
		      </template>
		      <template v-if="scope.row.status == 0">
		        <span>已删除</span>
		      </template>
	   	  </template>
	    </el-table-column>-->

	    <el-table-column label="操作" fixed="right" min-width="60">
	      <template slot-scope="scope" >
	      	<el-button @click="handleEdit(scope.row)" type="primary" size="small" v-permission="'/pictureSort/edit'">编辑</el-button>
	      </template>
	    </el-table-column>
	  </el-table>

		<!--分页-->
    <div class="block">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page.sync="currentPage"
          :page-sizes="[40, 80, 120, 200]"
          :page-size="pageSize"
          layout="total, prev, pager, next, jumper, sizes"
          :total="total">
        </el-pagination>
    </div>

	  <!-- 添加或修改对话框 -->
		<el-dialog :title="title" :visible.sync="dialogFormVisible" width="30%" :before-close="sortHandleClose" center>
		  <el-form :model="form" :rules="rules" ref="form" label-width="auto">
        <el-form-item label="所属项目" :label-width="formLabelWidth" prop="projectUid">
          <el-select
            @input="projectContentChange"
            v-model="projectValue"
            size="small"
            placeholder="请选择"
            style="width:80%"
            filterable
          >
            <el-option
              v-for="item in allProject"
              :key="item.uid"
              :label="item.name"
              :value="item.uid"
            ></el-option>
          </el-select>
        </el-form-item>

        <!--<el-form-item  label="所属项目" :label-width="formLabelWidth">
          <span v-if="!this.projectUid">{{this.form.projectName}}</span>
          <el-select
            v-else
            @input="projectContentChange"
            v-model="projectValue"
            multiple
            size="small"
            placeholder="请选择"
            style="width:280px"
            filterable
          >
            <el-option
              v-for="item in tagData"
              :key="item.uid"
              :label="item.name"
              :value="item.uid"
            ></el-option>
          </el-select>
        </el-form-item>-->
        <el-form-item label="分类ID" :label-width="formLabelWidth" prop="uid" v-if="form.uid">
          <span>{{form.uid}}</span>
        </el-form-item>
		    <el-form-item label="分类名称" :label-width="formLabelWidth" prop="name">
		      <el-input v-model="form.name" style="width:80%"></el-input>
		    </el-form-item>
        <el-form-item label="分类介绍" :label-width="formLabelWidth">
          <el-input v-model="form.introduce" style="width:80%"></el-input>
        </el-form-item>
        <el-form-item label="分类图标" :label-width="formLabelWidth">
          <div class="imgBody" v-if="form.photoList">
            <i class="el-icon-error inputClass" v-show="icon" @click="deletePhoto()" @mouseover="icon = true"></i>
            <img @mouseover="icon = true" @mouseout="icon = false" v-bind:src="form.photoList[0]" style="display:inline; width: 195px;height: 105px;"/>
          </div>
          <div v-else class="uploadImgBody" @click="checkPhoto">
            <i class="el-icon-plus avatar-uploader-icon"></i>
          </div>
        </el-form-item>
        <el-form-item label="排序权重" :label-width="formLabelWidth" prop="sort">
          <el-input v-model="form.sort" style="width:80%"></el-input>
        </el-form-item>
        <el-form-item label="标签" :label-width="formLabelWidth" prop="tagUid">
          <el-select
            @input="contentChange"
            v-model="tagValue"
            multiple
            size="small"
            placeholder="请选择"
            style="width:80%"
            filterable
          >
            <el-option
              v-for="item in tagData"
              :key="item.uid"
              :label="item.content"
              :value="item.uid"
            ></el-option>
          </el-select>
        </el-form-item>
		  </el-form>
		  <div slot="footer" class="dialog-footer">
		    <el-button @click="dialogFormVisible = false">取 消</el-button>
		    <el-button type="primary" @click="submitForm">确 定</el-button>
		  </div>
		</el-dialog>

  <!--图集消息-->
  <el-dialog :title="atlasTitle" class="header-title" :visible.sync="atlasFormVisible"  width="79%" style="height: 800px" :before-close="handleClose">
    <el-form :model="atlasQueryParams" :span="50" ref="atlasQueryParams">

      <el-col :span="8">
        <el-form-item label="图集名称">
          <el-input clearable class="filter-item" style="width: 200px;" v-model="atlasQueryParams.name" placeholder="请输入名称"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="2" >
        <el-button @click="atlasList()" type="primary" size="small" v-permission="'/pictureAtlas/getlistBySort'">查询</el-button>
      </el-col>
      <el-col :span="2">
        <el-button @click="upOrOutForm()" type="primary" size="small" v-if="atlasQueryParams.status==1" v-permission="'/pictureAtlas/out'">下架</el-button>
        <el-button @click="upOrOutForm()" type="primary" size="small" v-if="atlasQueryParams.status==0" v-permission="'/pictureAtlas/up'">上架</el-button>
      </el-col>

      <el-table :data="atlasTableData" style="width:100%" class="show_table" @selection-change="handleSelectionChange" :default-sort="{prop: 'sort', order: 'descending'}">
        <el-table-column type="selection"></el-table-column>
        <el-table-column label="图集名称" width="160" align="center">
          <template slot-scope="scope">
            <span @click="handlePicture(scope.row)" style="background-color:#EAFBFF;">{{ scope.row.name }}</span>
          </template>
        </el-table-column>
        <el-table-column label="资源图集ID" width="100" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.uid }}</span>
          </template>
        </el-table-column>
        <el-table-column label="资源分类" width="100" align="center">
            <span>{{ this.atlasQueryParams.sortName }}</span>
        </el-table-column>
        <el-table-column label="资源图集标签" width="200" align="center" >
          <template slot-scope="scope">
            <template>
              <el-tag
                style="margin-left: 3px"
                type="warning"
                v-if="item"
                :key="index"
                v-for="(item, index) in scope.row.tagList"
              >{{item.content}}</el-tag>
            </template>
          </template>
        </el-table-column>
        <el-table-column label="图片数量" width="100" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.count }}</span>
          </template>
        </el-table-column>
        <el-table-column label="模特" width="100" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.model }}</span>
          </template>
        </el-table-column>
        <el-table-column label="出品商" width="160" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.producer }}</span>
          </template>
        </el-table-column>
        <el-table-column label="资源图集创建时间" width="160" align="center">
          <template slot-scope="scope">
            <span >{{ scope.row.createTime }}</span>
          </template>
        </el-table-column>

        <el-table-column label="图片最新更新时间" width="160" align="center">
          <template slot-scope="scope">
            <span >{{ scope.row.storageTime }}</span>
          </template>
        </el-table-column>
        <el-table-column label="所属产品" width="80" align="center">
            <span>{{this.projectName}}</span>
        </el-table-column>
        <el-table-column label="状态" width="100" align="center">
          <template slot-scope="scope">
            <template v-if="scope.row.status == 1">
             <span>上架中</span>
           </template>
           <template v-if="scope.row.status == 0">
             <span>下架中</span>
           </template>
          </template>
       </el-table-column>
      </el-table>
      <!--图集分页-->
      <div class="block">
        <el-pagination
          @size-change="atlasHandleSizeChange"
          @current-change="atlasHandleCurrentChange"
          :current-page.sync="atlasCurrentPage"
          :page-sizes="[40, 80, 120, 200]"
          :page-size="atlasPageSize"
          layout="total, prev, pager, next, jumper, sizes"
          :total="atlasTotal">
        </el-pagination>
      </div>
    </el-form>
    <div slot="footer" class="dialog-footer">
    </div>
  </el-dialog>



  <!--图集图片信息-->
  <el-drawer :visible.sync="pictureFormVisible"  :direction="direction" :size="size" :before-close="pictureHandleClose">
    <el-form :model="atlasForm" :span="50" ref="atlasForm" width="80%" style="height:auto">
      <el-button class="filter-item" type="success" @click="setCover" icon="el-icon-video-camera-solid">设为封面</el-button>
      <el-tabs class="scroll"
        v-model="activeName"
        type="border-card"
        tab-position="left"
      >
        <el-row>
          <el-col
            v-for="(picture, index) in pictureData"
            :key="picture.uid"
            style="padding: 6px"
            :xs="24"
            :sm="12"
            :md="12"
            :lg="6"
            :xl="4"
          >
            <el-card
              :body-style="{ padding: '0px', textAlign: 'center' }"
              shadow="always"
            >
              <input style="position: absolute;z-index: 100;" type="checkbox" :id="picture.uid" :checked="pictureUids.indexOf(picture.uid)>=0" @click="checked(picture)">
              <div class="cover-icon" v-if="index == 0">封面</div>
              <el-image v-if="index == 0" class="showimg"
                title="封面"
                :src="picture.pictureUrl"
                style="cursor:pointer"
                fit="cover"
                @click="showPicture(picture.pictureUrl)"
              />

              <el-image v-else class="showimg"
                :src="picture.pictureUrl"
                style="cursor:pointer"
                fit="cover"
                @click="showPicture(picture.pictureUrl)"
              />
              <div @click="showPicture(picture.pictureUrl)">
                <span class="media-title" v-if="picture.createTime">{{picture.createTime+index}}</span>
                <span class="media-title" v-else>图片 {{index + 1}}</span>
              </div>
            </el-card>

          </el-col>
        </el-row>

      </el-tabs>


    </el-form>
    <div slot="footer" class="dialog-footer">
    </div>
  </el-drawer>

  <!--<CheckPhoto v-if="!isFirstPhotoVisible" @choose_data="getChooseData" @cancelModel="cancelModel" :photoVisible="photoVisible" :photos="photoList" :files="fileIds" :limit="1"></CheckPhoto>-->

  <el-dialog :visible.sync="atlasDialogPictureVisible" fullscreen style="text-align: center">
    <img :src="atlasDialogImageUrl" alt="">
  </el-dialog>


  <avatar-cropper
    v-show="imagecropperShow"
    :key="imagecropperKey"
    :width="224"
    :height="148"
    :url="url"
    lang-type="zh"
    @close="close"
    @crop-upload-success="cropSuccess"
  />
  </div>
</template>

<script>
import {
  getPictureSortList,
  initPorject,
  addPictureSort,
  editPictureSort,
} from "@/api/pictureSort";
import {
  getPictureList,
  setCover
} from "@/api/picture";
import {
  getAtlasListBySort,
  upOrOut
} from "@/api/pictureAtlas";
import {getListByDictTypeList} from "@/api/sysDictData"
import {getTagList} from "@/api/pictureTag";
import {getProjectList} from "@/api/project";
import AvatarCropper from '@/components/AvatarCropper'

export default {
  components: {
    AvatarCropper
  },
  created() {
    this.getDictList();
    this.pictureSortList();
    // 获取标签列表
    this.tagList();
    this.projectObj();
    this.getAllProject();
    /*let tempTag = this.$route.query.tag;
    console.log("tempTag=",tempTag)*/
    // if(tempTag != undefined) {
    //   this.tagRemoteMethod();
      // this.queryParams.tagKeyword = tempTag.tagUid;
    // }
  },
  data() {
    return {
      direction: 'ltr',
      size: '100%',
      // 图片上传路径
      url: process.env.PICTURE_API + "/file/cropperPicture",
      atlasDialogImageUrl: "", //图片显示地址
      tableData: [],
      atlasTableData: [],//图集数据
      activeName:0,
      atlasData: [], //图集数据
      pictureData: [], //图片数据
      atlasQueryParams:{
        uid:null,
        name:null,
        sortName:null,
        sortUid:null,
        status:null,
        upCount:null,
        outCount:null
      },
      atlasForm:{
        uid: null,
      },
      form: {
        uid: null,
        name: null,
        fileUid: null,
        tagUid: null,
        model: null,
        producer: null,
        projectUid: null,
        projectName: null,
      },
      queryParams:{
        keyword: "",
        tagUid: "", //标签搜索
        createTime: "", //创建时间搜索
        storageTime: "", //图集图片更新时间搜索
        publishKeyword: "", // 发布 搜索
        originalKeyword: "", // 原创 搜索
        typeKeyword: "", // 文章类型
      },
      isChange: false, // 表单内容是否改变

      changeCount: 0, // 改变计数器
      pictureUids: [], //图片uid集合
      resourceData: [], //标签数据
      tagValue: [], //保存选中标签id(编辑时)
      projectValue: null, //保存选中标签id(编辑时)
      tagData: [], //标签数据
      tagOptions: [], //标签候选框
      projectUid: null, //项目uid
      projectName: "全部", //项目名称
      projectOptions: [], //标签候选框
      multipleSelection: [], //多选，用于批量修改标签
      currentPage: 1,
      total: null,
      pageSize: 40,
      atlasCurrentPage: 1,
      atlasTotal: null,
      atlasPageSize: 40,
      keyword: "",
      title: "增加图集",
      isSortAdd: false,
      atlasTitle: "上架中",
      updateTagTitle: "修改标签",
      formLabelWidth: "120px", //弹框的label边框
      dialogFormVisible: false,
      atlasFormVisible: false,
      pictureFormVisible: false,
      atlasDialogPictureVisible: false,//当前分类图集列表
      isEditForm: false,
      photoList: [],
      allProject:[],
      yesNoDictList: [], // 是否字典
      imagecropperKey: 0,
      imagecropperShow: false, //控制图片选择器的显示
      fileIds: "",
      icon: false, //控制删除图标的显示
      isFirstPhotoVisible: true, // 图片选择器是否首次显示【用于懒加载】
      rules: {
        name: [
          {required: true, message: '分类名称不能为空', trigger: 'blur'},
          {min: 1, max: 32, message: '长度在1到32个字符'},
        ],
        tagUid: [
          {required: true, message: '标签不能为空', trigger: 'blur'},
        ],
        sort: [
          {required: true, message: '排序字段不能为空', trigger: 'blur'},
          {pattern: /^[0-9]\d*$/, message: '排序字段只能为自然数'},
        ]
      },
      updateTagRules: {
        tagUid: [
          {required: true, message: '标签不能为空', trigger: 'blur'},
        ]
      }
    };
  },
  methods: {
    pictureSortList: function() {
      var params = {};
      params.keyword = this.queryParams.keyword
      params.createTime = this.queryParams.createTime;
      params.pageSize =  this.pageSize
      params.currentPage = this.currentPage
      getPictureSortList(params).then(response => {
        this.tableData = response.data.records;
       /* console.log("url="+this.url)
        console.log("分类消息="+JSON.stringify(response.data.records))*/
        this.currentPage = response.data.current;
        this.pageSize = response.data.size;
        this.total = response.data.total;
      });
    },
    tagList: function() {
      var tagParams = {};
      tagParams.pageSize = 1000;
      tagParams.currentPage = 1;
      getTagList(tagParams).then(response => {
        this.tagData = response.data.records;
        // console.log("tagData图片标签=",this.tagData)
        this.tagOptions = response.data.records;
      });
    },
    projectObj: function() {
      var tagParams = {};
      tagParams.pageSize = 500;
      tagParams.currentPage = 1;
      initPorject().then(response => {
        if(response.data) {
          this.projectUid = response.data.uid;
          this.projectName = response.data.name;
        }
      });
    },
    getAllProject: function() {
      var tagParams = {};
      tagParams.pageSize = 500;
      tagParams.currentPage = 1;
      getProjectList(tagParams).then(response => {
        if(response.data) {
          this.allProject = response.data.records;
        }
      });
    },
    /**
     * 字典查询
     */
    getDictList: function () {
      var dictTypeList =  ['sys_yes_no']
      getListByDictTypeList(dictTypeList).then(response => {
        if (response.code == this.$ECode.SUCCESS) {
          var dictMap = response.data;
          this.yesNoDictList = dictMap.sys_yes_no.list
          if(dictMap.sys_yes_no.defaultValue) {
            this.yesNoDefault = parseInt(dictMap.sys_yes_no.defaultValue);
          }
        }
      });
    },
    //点击单选
    checked: function(data) {
      let idIndex = this.pictureUids.indexOf(data.uid);
      if (idIndex >= 0) {
        //选过了
        this.pictureUids.splice(idIndex, 1);
      } else {
        this.pictureUids.push(data.uid);
      }
    },
    // 内容改变，触发监听
    contentChange: function() {
      this.form.tagUid = this.tagValue.join(",");
    },
    projectContentChange: function() {
      this.form.projectUid = this.projectValue;
    },

    handleFind: function() {
      this.currentPage = 1
      this.pictureSortList();
    },
    getFormObject: function() {
      var formObject = {
        uid: null,
        name: null,
        fileUid: null,
        sort: 0,
        isShow: this.yesNoDefault,
      };
      return formObject;
    },
    deletePhoto: function() {
      this.form.photoList = null;
      this.form.ava = "";
      this.icon = false;
    },
    checkPhoto() {
      this.photoList = [];
      this.fileUid = "";
      this.imagecropperShow = true;
      this.isFirstPhotoVisible = false
    },
    /**
     * 翻页事件
     */
    handleSizeChange(val) {
      this.pageSize = val;
      this.pictureSortList();
    },
    //改变页码
    handleCurrentChange(val) {
      this.currentPage = val;
      this.pictureSortList();
    },
    /**
     * 翻页事件
     */
    atlasHandleSizeChange(val) {
      this.atlasPageSize = val;
      this.atlasList();
    },
    atlasHandleCurrentChange(val) {
      this.atlasCurrentPage = val;
      this.atlasList();
    },
    //点击新增
    handleAdd: function() {
      this.title = "新建分类"
      this.isSortAdd = true
      this.dialogFormVisible = true;
      this.form = this.getFormObject();
      this.isEditForm = false;
      this.projectValue = null;
      this.tagValue = [];
    },
    //点击编辑
    handleEdit: function(row) {
      this.title = "编辑分类"
      this.isSortAdd = false;
      this.dialogFormVisible = true;
      this.isEditForm = true;
      this.form = row;
      this.form.projectUid = row.project.uid;
      this.projectValue = row.project.uid;
      this.form.projectName = row.project.name;
      this.tagValue = [];
      if (row.tagUid != undefined){
        var tagValue = this.form.tagUid.split(",");
        for (var a = 0; a < tagValue.length; a++) {
          if (tagValue[a] != null && tagValue[a] != "") {
            this.tagValue.push(tagValue[a]);
          }
        }
      }
    },

    //上架图集列表
    handleUp(row) {
      if (row.upCount == 0){
        this.$commonUtil.message.success("当前无上架中图集！")
      }else {
        this.atlasTitle = "上架中"
        this.atlasFormVisible = true;
        this.atlasQueryParams.sortUid = row.uid;
        this.atlasQueryParams.sortName = row.name;
        this.atlasQueryParams.status = 1;
        this.atlasQueryParams.upCount =  row.upCount;
        this.upCount =  row.upCount;
        this.atlasList();
      }
    },

    //下架图集列表
    handleOut(row) {
      if (row.outCount == 0){
        this.$commonUtil.message.success("当前无下架中图集！")
      }else {
        this.atlasTitle = "下架中"
        this.atlasFormVisible = true;
        this.atlasQueryParams.sortUid = row.uid;
        this.atlasQueryParams.sortName = row.name;
        this.atlasQueryParams.status = 0;
        this.atlasQueryParams.outCount = row.outCount;
        this.atlasList();
      }
    },

    showPicture: function(url) {
      this.atlasDialogPictureVisible = true
      this.atlasDialogImageUrl = url
    },

    atlasList() {
      var params = {};
      var query = true;
      if (this.atlasTitle == "上架中"){
        if (this.atlasQueryParams.upCount == 0){
          query = false;
        }
      }else if(this.atlasTitle == "下架中"){
        if (this.atlasQueryParams.outCount == 0){
          query = false;
        }
      }
      if (query){
        params.sortUid = this.atlasQueryParams.sortUid;
        params.status = this.atlasQueryParams.status;
        params.name = this.atlasQueryParams.name;
        params.pageSize = this.atlasPageSize;
        params.currentPage = this.atlasCurrentPage;
        getAtlasListBySort(params).then(response =>{
          this.atlasTableData = response.data.records
          this.atlasCurrentPage = response.data.current;
          this.atlasPageSize = response.data.size;
          this.atlasTotal = response.data.total;
        });
      }else {
        this.$commonUtil.message.error("当前无相关图集消息！")
      }
    },

    submitForm: function() {
      this.$refs.form.validate((valid) => {
        if(!valid) {
          console.log("校验出错")
        } else {
          if (!this.form.projectUid) {
            this.form.projectUid = this.projectUid
          }
          // console.log("创建编辑请求参数="+JSON.stringify(this.form))
          if (this.isEditForm) {
            editPictureSort(this.form).then(response => {
              this.$commonUtil.message.success(response.message)
              this.dialogFormVisible = false;
              this.pictureSortList();
            });
          } else {
            addPictureSort(this.form).then(response => {
              if (response.code == this.$ECode.SUCCESS) {
                this.$commonUtil.message.success(response.message)
              } else {
                this.$commonUtil.message.error(response.message)
              }
              this.dialogFormVisible = false;
              this.pictureSortList();
            });
          }
        }
      })
    },


    // 改变多选
    handleSelectionChange(val) {
      this.multipleSelection = val;
    },

    upOrOutForm: function() {
      if (this.multipleSelection.length == 0){
        this.$commonUtil.message.error("请选择图集")
      }else {
        for(var i=0;i<this.multipleSelection.length;i++){
          this.multipleSelection[i].sortUid = this.atlasQueryParams.sortUid;
          this.multipleSelection[i].atlasUid = this.multipleSelection[i].uid;
          if(this.atlasTitle == "上架中"){
            this.multipleSelection[i].status = 0;
          }else {
            this.multipleSelection[i].status = 1;
          }
        }
        upOrOut(this.multipleSelection).then(response => {
          if (response.code == this.$ECode.SUCCESS) {
            this.$commonUtil.message.success(response.message)
          } else {
            this.$commonUtil.message.error(response.message)
          }
          this.atlasFormVisible = false;
          this.atlasQueryParams.name = null;
          this.atlasQueryParams.status = null;
          this.pictureSortList();
        });
      }

    },
    handlePicture(row) {
      // console.log("xx="+JSON.stringify(row));
      this.pictureFormVisible = true;
      this.atlasQueryParams.uid = row.uid;
      // query: { pictureAtlasUid: row.uid }
      this.pictureList();
    },

    pictureList() {
      var params = {};
      params.currentPage = 1;
      params.pictureAtlasUid = this.atlasQueryParams.uid;
      params.pageSize = 10000;
      getPictureList(params).then(response =>{
        this.pictureData = response.data.records
        // console.log("图片列表="+JSON.stringify(this.pictureData))
      });
    },

    handleClose(){
      this.atlasTableData = [];
      this.atlasQueryParams.name = null;
      this.atlasFormVisible = false;
    },

    pictureHandleClose(){
      this.pictureData = [];
      this.pictureFormVisible = false;
    },

    sortHandleClose(){
      this.dialogFormVisible = false;
      this.$refs.form.clearValidate();
    },

    cropSuccess(resData) {
      this.imagecropperShow = false
      this.imagecropperKey = this.imagecropperKey + 1
      let photoList = []
      photoList.push(resData[0].url);
      this.form.photoList = photoList;
      this.form.fileUid = resData[0].uid
    },
    close() {
      this.imagecropperShow = false
    },

    deletePhoto: function() {
      this.form.photoList = null;
      this.form.ava = "";
      this.icon = false;
    },
    checkPhoto() {
      this.photoList = [];
      this.fileUid = "";
      this.imagecropperShow = true;
    },
    setCover: function() {
      if (this.pictureUids.length != 1) {
        this.$commonUtil.message.error("选择一张图片设为封面图")
        return;
      }

      this.$confirm("是否将该图片设为封面？, 是否继续?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      })
        .then(() => {
          let params = {};
          params.uid = this.pictureUids[0]
          params.pictureAtlasUid = this.atlasQueryParams.uid
          setCover(params).then(response => {
            this.$commonUtil.message.success(response.message)
            this.pictureUids = [];

            //再次查询图片
            this.pictureList();
          });
        })
        .catch(() => {
          this.$commonUtil.message.info("已取消")
        });
    },

  }
};
</script>
<style scoped>
.cover-icon {
 position: absolute;
 /*top: 40px;*/
 left: 80px;
 z-index: 100;
 color: aliceblue;
 background-color: #9d0006;
}
.avatar-uploader .el-upload {
  border: 1px dashed #d9d9d9;
  border-radius: 6px;
  margin: 0, 0, 0, 10px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
}
.avatar-uploader .el-upload:hover {
  border-color: #409eff;
}
.avatar-uploader-icon {
  font-size: 28px;
  color: #8c939d;
  width: 100px;
  height: 100px;
  line-height: 100px;
  text-align: center;
  border: 1px dashed #c0ccda;
  border-radius: 8px;
}
.inputClass {
  position: absolute;
}
.imgBody {
  width: 100px;
  height: 100px;
  border: solid 2px #ffffff;
  float: left;
  position: relative;
}
.uploadImgBody {
  margin-left: 5px;
  width: 100px;
  height: 100px;
  border: dashed 1px #c0c0c0;
  float: left;
  position: relative;
}
.uploadImgBody :hover {
  border: dashed 1px #00ccff;
}
.inputClass {
  position: absolute;
}
.show_table {
  background-color: #dde;
  width: 100%;
  height: 100%;
  overflow: auto;
  position: relative;
}
.scroll {
  width: 100%;
  height: calc(100vh - 131px);
  overflow: hidden;
  overflow-y: auto;
}
.showimg {
  width: 357px;
  height: 467px;
  background-color: royalblue;

}
</style>
